Authentication
Signify’s API uses API keys for authentication. Users can view and manage API keys in the Signify API Dashboard.
Production secret keys will have the production_v1_ version prefix.
Authentication to the API is performed via bearer auth.
Sample request
curl -X POST "https://app.signify.gov.sg/public/v1/documents" \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: multipart/form-data' \
-F 'documentName=Testing API' \
-F 'recipients=[{"email":"<EMAIL_1>","requiredSignatures":[{"page":1, "positionX":0.1, "positionY":0.2}, {"page":1, "positionX":0.2, "positionY":0.3}], "customMessage": "Please sign on Page 3."},{"email":"<EMAIL_2>","requiredSignatures":[{"page":1, "positionX":0.5, "positionY":0.5}]}]' \
-F 'file=@"<FILE_PATH>"'All API requests must be made over HTTPS. Calls made over plain HTTP will fail and requests without authentication will also fail.